### Enumeration

# GLib BookmarkFileError

#### Declaration

    error-domain GLib.BookmarkFileError

#### Description [src]

Error codes returned by bookmark file parsing.

#### Members

`G_BOOKMARK_FILE_ERROR_INVALID_URI`

  URI was ill-formed.

  - Value: `0`
  - Available since: 2.0
`G_BOOKMARK_FILE_ERROR_INVALID_VALUE`

  A requested field was not found.

  - Value: `1`
  - Available since: 2.0
`G_BOOKMARK_FILE_ERROR_APP_NOT_REGISTERED`

  A requested application did not register a bookmark.

  - Value: `2`
  - Available since: 2.0
`G_BOOKMARK_FILE_ERROR_URI_NOT_FOUND`

  A requested URI was not found.

  - Value: `3`
  - Available since: 2.0
`G_BOOKMARK_FILE_ERROR_READ`

  Document was ill formed.

  - Value: `4`
  - Available since: 2.0
`G_BOOKMARK_FILE_ERROR_UNKNOWN_ENCODING`

  The text being parsed was in an unknown encoding.

  - Value: `5`
  - Available since: 2.0
`G_BOOKMARK_FILE_ERROR_WRITE`

  An error occurred while writing.

  - Value: `6`
  - Available since: 2.0
`G_BOOKMARK_FILE_ERROR_FILE_NOT_FOUND`

  Requested file was not found.

  - Value: `7`
  - Available since: 2.0